@font-face {
  font-family: "golu";
  src: url("gilroy-light.otf");
  font-style: normal;
  font-weight: bold;
}
@font-face {
  font-family: "mori";
  src: url("ppmori-regular.otf");
  font-style: normal;
  font-weight: bold;
}
@font-face {
  font-family: "roy";
  src: url("Barcelony.ttf");
  font-style: normal;
  font-weight: normal;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  font-family: "Outfit";
  font-weight: normal;
  transition: font-weight ease-in-out 0.2s;
}

:root {
  --primary-color: #3498db;
  --secondary-color: #2c3e50;
  --background-color: #f7f7f7;
  --card-background: #ffffff;
  --text-color: #333333;
}

body,
html {
  height: 100%;
  width: 100%;
}

.hidden {
  display: none;
}

.wrapper {
  position: relative;
}
.cir {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 200px;
}
#resume {
  position: absolute;
}

.mobile {
  display: none;
}

.desctop {
  display: block;
}
a:hover {
  font-weight: lighter;
}
.section {
  height: 100vh;
  width: 100vw;
  /* display: flex; */
  justify-content: center;
  align-items: center;
  /* border-bottom: 1px solid #343434; */
  /* flex-direction: column; */
}

.mowse_folower {
  width: 4vw;
  height: 4vw;
  border-radius: 50%;
  background-color: #ffffff69;
  /* mix-blend-mode: difference; */
  position: fixed;
  z-index: 6;
  display: flex;
  justify-content: center;
  align-items: center;
  /* display: none; */
}

::selection {
  background-color: #fa6b83;
}

.page2 {
  padding: 0 6vw;
  padding-top: 2vw;
}
.page1 .top_main p:nth-child(2) {
  font-family: "roy";
}
.page1 .top_main2 p:nth-child(2) {
  font-family: "roy";
}

.page1 {
  width: 300%;
  /* height: calc(100vh - 100px); */
  display: flex;
}
.panel {
  width: 100%;
  height: calc(100vh - 100px);
  padding-top: 100px;
}

.marquee {
  position: absolute;
  bottom: 20%;
}
.marquee p,
.marquee i {
  font-weight: normal;
  color: #000000b9;
  font-size: large;
}

.intro {
  padding-top: 50px !important;
  position: relative;
}
.social {
  width: 10vw;
  height: calc(100vh - 100px);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: fixed;
  gap: 1vw;
  left: 0;
  z-index: 3;
}

.social i {
  font-size: 2vw;
  transition: transform 0.3s ease-in-out;
  position: relative;
}
.social i:hover {
  font-size: 2.1vw;
  transform: translateY(-0.2vw);
}
.social i:hover:nth-child(1) {
  color: #5d72f8;
}
.social i:hover:nth-child(2) {
  color: #f85d7f;
}
.social i:hover:nth-child(3) {
  color: #12b33d;
}
.social i:hover:nth-child(4) {
  color: #1265b3;
}
.panel:nth-last-child(1) {
  display: flex;
  justify-content: center;
  align-items: center;
}

/*  nav bar */

nav {
  width: 100vw;
  /* height: 100px; */
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 6vw;
  height: 100px;
  /* mix-blend-mode: difference; */
  position: fixed;
  /* mix-blend-mode: difference; */
  z-index: 4;
}

nav .centre_nav {
  width: 60%;
  display: flex;
  justify-content: center;
  gap: 1vw;
  position: relative;
  align-items: center;
  display: none;
}
nav .centre_nav h4 {
  cursor: pointer;
  position: relative;
}

/* nav .centre_nav h4::after{ 
  position: absolute;
  content: '';
  width: 0%;
  height: 1px;
  background-color: #000;
  transition: all .3s ease-in-out;
  top: 100%;
  left: 0;

} */

/* nav .centre_nav h4:hover{ 
  width:100%;

} */
nav .centre_nav a:nth-child(1) {
  border-bottom: 1px solid #000000a8;
}
nav a {
  letter-spacing: 0.1vw;
}

nav .left_nav {
  width: 20%;
}
nav .left_nav span {
  font-family: "Kaushan Script", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 2.3vw;
  display: inline-block;
  margin-right: 1vw;
  color: #6928e6;
}

nav .left_nav h4 a {
  font-family: "Outfit";
  font-size: 1.5vw;
  font-weight: 400;
  text-transform: capitalize;
}
.vid {
  transform: rotateZ(0deg) !important;
  /* overflow: hidden; */
  object-fit: cover;
  object-position: center;
}

.vid video {
  margin-left: 2vw;
  height: 5.5vw;
  width: 5.5vw;
  border-radius: 200px;
  object-fit: cover;
  object-position: center;
}
.vid2 {
  transform: rotateZ(0deg) !important;
  /* overflow: hidden; */
  object-fit: cover;
  object-position: center;
}

.vid2 video {
  /* margin-left: 2vw; */
  height: 30%;
  width: 50%;
  border-radius: 30vw;
  border: none;
  object-fit: cover;
  object-position: center;
}
.vid3 {
  transform: rotateZ(0deg) !important;
  /* overflow: hidden; */
  object-fit: cover;
  object-position: center;
}
.top_main2 {
  position: relative;
}
.overlay {
  font-family: "Gill Sans", "Gill Sans MT", "Trebuchet MS";
  position: absolute;
  top: 50%;
  font-size: 9vw !important;
  font-weight: 900;
  /* color: #fff; */
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke-color: #bdb9b9;
  -webkit-text-stroke-width: 2px;
  /* -webkit-text-stroke-/: #000000; */
}

.vid3 video {
  height: 30vw;
  width: 80vw;
  border-radius: 25vw;
  border: none;
  object-fit: cover;
  object-position: center;
}
.right_nav {
  width: 20%;
  display: flex;
  justify-content: flex-end;
  gap: 1vw;
}
.social2 .circle1 {
  width: 100vw;
}
.social2 .circle2 {
  width: 40px;
  height: 40px;
  background-color: #000000 !important;
  border-radius: 50%;
  cursor: pointer;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}
.social2 .circle2 i {
  color: #fff;
}
.right_nav i {
  cursor: pointer;
  font-size: 20px;
}

.top_main {
  /* margin: 2vw 0; */
  display: flex;
  justify-content: center;
  align-items: center;
  /* height: 20vh; */
  width: 100vw;
  gap: 3vw;
  /* background-color: red; */
}
.top_main2 {
  margin-bottom: 3vw;
  display: flex;
  /* justify-content: center; */
  flex-direction: column;
  align-items: center;
  /* height: 20vh; */
  width: auto;
  gap: 1vw;
  /* background-color: red; */
}
.mid_main {
  display: flex;
  justify-content: center;
  align-items: center;
  /* height: 30vh; */
  width: 100vw;
  padding: 0 20vw;
  /* background-color: red; */
}
.mid {
  /* margin-top: 1vw; */
  /* background-color: rebeccapurple; */
  height: auto;
  width: 99vw;
  display: flex;
  gap: 1vw;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  /* font-family: "Kaushan Script", cursive; */
  font-size: 1.52vw;
  text-align: center;
}

.mid h1 {
  font-weight: 200;
  font-size: 2.5vw;
}
.mid span {
  /* color: rgb(255, 0, 93);  */
  color: crimson;
}
.mid span::after {
  content: "|";
  animation-name: blinking;
  animation-duration: 0.71s;
  animation-iteration-count: infinite;
}
@keyframes blinking {
  from {
    color: transparent;
  }
  to {
    color: lightgrey;
  }
}

.mid_main p {
  font-size: 2vw;
  text-align: center;
  /* background-color: red; */
}
.mid_main span {
  color: #6928e6;
}
.top_main > p {
  font-size: 7vw;
  word-spacing: 1.8vw;
  letter-spacing: -0.1vw;
  text-align: center;
}
.top_main2 > p {
  font-size: 7vw;
  word-spacing: 1.8vw;
  letter-spacing: -0.1vw;
  text-align: center;
  /* line-height: 150px; */
}
.top_main span {
  font-size: 7vw;
  margin-left: -1.5vw;
  word-spacing: 0.6vw;
  font-family: "Kaushan Script", cursive;
  font-weight: 400;
  display: inline-block;
  font-style: normal;
  color: #6928e6;
  transform: rotateZ(-17deg);
}
.top_main2 span {
  font-size: 7vw;
  margin-left: -1.5vw;
  word-spacing: 0.6vw;
  font-family: "Kaushan Script", cursive;
  font-weight: 400;
  display: inline-block;
  font-style: normal;
  color: #6928e6;
  transform: rotateZ(-17deg);
}

#moving-div {
  /* background-color: red; */
  display: flex;
  /* margin-top: 10vh; */
  position: relative;
  /* bottom: 3%; */
  white-space: nowrap;
  padding: 1.2vw;
  overflow: hidden;
  min-width: 44%;
  width: 70%;
}

#moving-div .move {
  display: flex;
  animation-name: mobe;
  animation-duration: 14s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

#moving-div .move h1 {
  /* filter: invert(1); */
  /* height: 1vw; */
  margin: 0 1.2vw;
}
#moving-div2 {
  /* background-color: red; */
  display: flex;
  /* margin-top: 10vh; */
  position: relative;
  /* bottom: 3%; */
  white-space: nowrap;
  padding: 1.2vw;
  overflow: hidden;
  min-width: 44%;
  width: 100%;
}

#moving-div2 .move {
  display: flex;
  animation-name: mobe;
  animation-duration: 30s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

#moving-div2 .move h1 {
  /* filter: invert(1); */
  /* height: 1vw; */
  letter-spacing: 2px;
  word-spacing: 2px;
  font-size: 10vw;
  margin: 0 1.2vw;
}
#moving-div3 {
  /* background-color: red; */
  display: flex;
  /* margin-top: 10vh; */
  position: relative;
  /* bottom: 3%; */
  white-space: nowrap;
  /* padding: 1.2vw; */
  overflow: hidden;
  min-width: 44%;
  width: 100%;
}

#moving-div3 .move {
  display: flex;
  animation-name: mob;
  animation-duration: 10s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

#moving-div3 .move h1 {
  /* filter: invert(1); */
  /* height: 1vw; */
  letter-spacing: 2px;
  word-spacing: 2px;
  font-size: 7vw;
  margin: 0 1.2vw;
}
@keyframes mobe {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(-100%);
  }
}
@keyframes mob {
  0% {
    transform: translateX(-100%);
  }

  100% {
    transform: translateX(0%);
  }
}

#blur-left {
  height: 100%;
  width: 20%;
  background: linear-gradient(to right, #e9ecefb2, transparent);

  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
}

#blur-right {
  height: 100%;
  width: 20%;
  background: linear-gradient(to right, transparent, #e9ecefb2);
  position: absolute;
  top: 0;
  right: 0;
  z-index: 2;
}
#blur-left2 {
  height: 100%;
  width: 20%;
  background: linear-gradient(to right, #131313b2, transparent);

  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
}

#blur-right2 {
  height: 100%;
  width: 20%;
  background: linear-gradient(to right, transparent, #131313b2);
  position: absolute;
  top: 0;
  right: 0;
  z-index: 2;
}

.cv {
  width: 90vw;
  height: 100%;
  /* border: .8vw solid #6928E6; */
  position: relative;
  display: flex;
  /* justify-content: center; */
  align-items: center;
  flex-direction: column;
  /* background-color: #1db7e6; */
}
.cv2 {
  width: 100vw;
}
.cv p {
  font-size: 0.9vw;
  font-weight: 600;
  font-family: "Outfit";
  word-spacing: 0.2vw;
  letter-spacing: 0.09vw;
  color: #343434;
  text-transform: uppercase;
}

.flex {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2vw;
}
.cv .flex {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: space-around;
  /* background-color: #d84f4f; */
}
.cv .flex .details {
  width: 40%;
  height: 70%;
  margin: 2vw 0;
  line-height: 3vw;
}
.cv .flex .details .row {
  display: flex;
  justify-content: space-between;
  padding: 0.08vw 0.5vw;
  border-radius: 10px;
}
.cv .flex .details .row h2:nth-last-child(2) {
  text-transform: capitalize;
}
.cv .flex .details .row h2 {
  font-size: 1vw;
  letter-spacing: 0.05vw;
}
.cv .flex .details .row:nth-of-type(2n + 1) {
  background-color: rgba(220, 220, 221, 0.828);
}
.cv .flex .details .right_side {
  width: 65%;
}

.cv h1 {
  font-size: 2vw;
  text-transform: capitalize;
  font-weight: 900;
  color: #343434;
}
.vertica_cont {
  display: flex;
  justify-content: center;
  flex-direction: column;
}
.pp {
  width: 16vw;
  height: auto;
  margin: -2vw 0 0 0;
  /* background-color: rgb(80, 56, 151); */
  border-radius: 50%;
  overflow: hidden;
}
.pp img {
  border-radius: 50%;
  width: 16vw;
  height: 16vw;
  transition: scale 0.3s ease-in-out;
}
.pp img:hover {
  scale: 1.05;
}

.bot_cont {
  width: 100%;
  height: 60%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  /* background-color: red; */
}

.bot_cont img {
  width: 30vw;
  height: auto;
  position: absolute;
  top: 20%;
}
.bot_cont img:nth-child(2) {
  left: 2vw;
  top: 0;
}
.bot_cont img:nth-child(3) {
  right: 2vw;
  top: 0;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.progress-bar {
  position: relative;
  width: 150px;
  height: 150px;
  margin: 20px;
}

.outer {
  border-radius: 50%;
  box-shadow: 6px 6px 10px -1px rgba(0, 0, 0, 0.15),
    -6px -6px 10px -1px rgba(255, 255, 255, 0.7);
}

.inner {
  position: absolute;
  top: 10px;
  left: 10px;
  right: 10px;
  bottom: 10px;
  border-radius: 50%;
  box-shadow: inset 4px 4px 6px -1px rgba(0, 0, 0, 0.2),
    inset -4px -4px 6px -1px rgba(255, 255, 255, 0.7),
    -0.5px -0.5px 0px rgba(255, 255, 255, 1),
    0.5px 0.5px 0px rgba(0, 0, 0, 0.15), 0px 12px 10px -10px rgba(0, 0, 0, 0.05);
}

#html-progress {
  position: absolute;
  background: conic-gradient(#4d88ff 270deg, #ededed 0deg);
  border-radius: 50%;
  width: 100%;
  height: 100%;
}

#css-progress {
  position: absolute;
  background: conic-gradient(#2aa198 240deg, #ededed 0deg);
  border-radius: 50%;
  width: 100%;
  height: 100%;
}

#js-progress {
  position: absolute;
  background: conic-gradient(#f0db4f 210deg, #ededed 0deg);
  border-radius: 50%;
  width: 100%;
  height: 100%;
}

.progress-value {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

/* .progress-value span {
  display: block;
}
  */

.progress-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.progress-item {
  width: 15vw;
  height: 1.2vw;
  background-color: #481e9c;
  border-radius: 15px;
  margin: 0.8vw;
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
  overflow: hidden;
}

.progress-fill {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  padding: 0.2vw 20px;
  border-radius: 15px;
  background: linear-gradient(90deg, var(--color) var(--progress), #edecec 0);
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.262);
  transition: width 0.5s ease-in-out;
}

.progress-label,
.progress-value {
  font-weight: bold;
}

.donuts {
  height: 70%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.donut-chart {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 100%;
  background-color: #48399d;
}
.donut-chart::after {
  position: absolute;
  content: var(--text);
  width: 120px;
  height: 120px;
  border-radius: 50%;
  top: 50%;
  left: 50%;
  font-size: 0.7vw;
  transform: translate(-50%, -50%);
  font-weight: bolder;
  display: flex;
  justify-content: center;
  text-align: center;
  line-height: 1vw;
  font-family: "Outfit";
  align-items: center;
  background-color: #f6f2ef;
}

.slice {
  position: absolute;
  width: 140px;
  height: 140px;
  clip: rect(0px, 140px, 140px, 70px);
}

.bar {
  position: absolute;
  width: 140px;
  height: 140px;
  clip: rect(0px, 70px, 140px, 0px);
  border-radius: 100%;
  background-color: #e1dede;
}

.fill {
  position: absolute;
  width: 140px;
  height: 140px;
  clip: rect(0px, 70px, 140px, 0px);
  border-radius: 100%;
  background-color: #e6e6e6;
}

.page3 {
  height: auto;
  overflow: hidden;
  padding: 5vw 6vw;
  /* padding: 0 4vw; */
}

.page3 .vertical_cont .r_scroll {
  height: 90vh;
  overflow: hidden;
}
.page3 .vertical_cont .showpic {
  height: auto;
}
.page3 .vertical_cont .r_scroll {
  overflow: visible;
}

header {
  width: 50vw;
  border-radius: 50px;
  /* background-color: #976767; */
  padding: 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

#searchContainer {
  /* width: 100%; */
  position: relative;
  display: flex;
  align-items: center;
}

#searchInput {
  padding: 10px 30px 10px 15px;
  border: 1px solid #ccc;
  border-radius: 20px;
  outline: none;
  font-size: 14px;
  /* background-color: #bbb2e746; */
}

#searchContainer i {
  position: absolute;
  right: 10px;
  color: #888;
}

#categoryFilter {
  display: flex;
}

.category-btn {
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 20px;
  padding: 8px 16px;
  margin-left: 10px;
  cursor: pointer;
  font-size: 14px;
  transition: all 0.3s ease;
}

.category-btn.active {
  background-color: #ff6b6b;
  color: #fff;
  border-color: #ff6b6b;
}

#projectGrid {
  /* width: auto; */
  display: flex;
  justify-content: center;
  flex-wrap: wrap !important;
  grid-gap: 20px;
  padding: 20px;
  max-width: 1300px;
  margin: 0 auto;
}

.project-card {
  height: auto;
  width: 360px;
  background-color: #746767;
  /* border-radius: 20px; */
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  transition: all 0.2s ease;
}

.project-card:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.568);
  transform: translateY(-10px);
}

.project-card img {
  height: 100%;
  /* height: 700px; */
  object-fit: cover;
}

.project-card .card-content {
  padding: 15px;
  background-color: #c5c4c4b6;
}

.project-card h3 {
  margin: 0;
  font-size: 18px;
  font-weight: 600;
}

.project-card p {
  margin: 10px 0 0;
  font-size: 14px;
  color: #666;
}

.social2 {
  display: none;
}

@media (max-width: 1024px) {
  .social {
    display: none;
  }
  .social2 {
    position: fixed;
    width: 100%;
    /* background-color: #fff; */
    display: flex;
    gap: 1vw;
    justify-content: end;
    z-index: 20;
    right: 5vh;
    top: 90vh;
  }
  .social2 i {
    font-size: 2vw;
    color: #000;
  }

  .top_main > p {
    font-size: 10vw;
  }

  .vid video {
    height: 8vw;
    width: 8vw;
  }

  .top_main span {
    font-size: 9vw;
  }

  .page3 {
    padding: 2vw 6vw !important;
  }

  .move h1 b {
    font-size: medium !important;
  }

  .vid2 video {
    margin-top: 5vw;
    /* height: 30%; */
    width: 100vw;
    border-radius: 0;
    position: relative;
  }
  .page1 {
    /* min-height: 100vh !important; */
  }

  .desc {
    height: 50vh !important;
    padding-top: 25%;
  }
}

@media (max-width: 768px) {
  header {
    flex-direction: column;
    align-items: flex-start;
  }

  #searchContainer {
    margin-bottom: 10px;
  }

  #categoryFilter {
    margin-left: -10px;
  }

  .page1 {
    height: auto !important;
  }
  .desc {
    padding: 0;
    height: 40vh !important;
  }
  .cv {
    height: 50vh !important;
    margin-top: -10vw;
  }

  .who {
    /* background-color: red !important; */
    height: 60vh !important;
  }

  nav .left_nav span {
    font-size: 3.5vw;
  }

  nav .left_nav h4 a {
    font-size: 2.5vw;
  }

  .social2 i {
    font-size: 3vw;
    color: #000;
  }
  .social2 {
    gap: 2vw;
  }
}

@media screen and (max-width: 460px) {
  .page3 {
    /* background-color: red !important; */
    margin-top: -15vh;
  }

  .desc {
    padding-top: 0%;
    height: 30vh !important;
    /* background-color: red !important; */
  }
}
@media screen and (max-width: 500px) {
  .social2 i {
    font-size: 3.8vw;
    color: #000;
  }
  .social2 {
    gap: 2.2vw;
  }
  .top_main {
    flex-wrap: wrap;
  }
  .top_main > p {
    font-size: 24vw;
    line-height: 24vw;
    width: 70w;
  }
  .top_main2 > p span.vid video {
    width: 5vh !important;
    height: 5vh !important;
  }

  .cv p,
  .cv h1 {
    font-size: large;
  }

  .vid video {
    height: 19vw;
    width: 19vw;
  }

  .top_main span {
    font-size: 16vw;
  }

  .vid2 video {
    margin-top: 15vw;
  }

  #moving-div {
    margin-top: 5vw;
    min-width: 44%;
    width: 90%;
  }
  #moving-div2 {
    margin-left: -5vw;
    width: 90vw !important;
  }

  .desc {
    padding-top: 10%;
    height: 30vh !important;
    /* background-color: red !important; */
  }

  .desc p {
    font-size: 2.6vw;
    padding: 0 !important;
    margin: 0;
  }

  .mid_main {
    padding: 1vw 10vw;
  }
  .cv {
    height: 50vh !important;
    margin-top: -10vw;
  }

  .who {
    /* background-color: red !important; */
    height: 60vh !important;
  }

  nav .left_nav span {
    font-size: 4.5vw;
  }

  nav .left_nav h4 a {
    font-size: 3.5vw;
  }

  .product summary #flex h4 {
    font-size: small !important;
  }
  .product summary #flex {
    flex-wrap: wrap;
  }

  .uiux #flex h4 i {
    font-size: large !important;
  }
  .uiux #flex h4 {
    font-size: 6vw !important;
    align-items: center;
  }
}

.project-card {
  background-color: #fff;
  /* border-radius: 12px; */
  /* box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1); */
  overflow: hidden;
  transition: all 0.3s ease;
  position: relative;
}

.project-card:hover {
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.2);
  transform: translateY(-5px);
}

.project-card img {
  width: 100%;
  height: 200px;
  object-fit: cover;
}

.project-card .card-content {
  padding: 20px;
}

.project-card h3 {
  margin: 0;
  font-size: 20px;
  font-weight: 600;
}

.project-card p {
  margin: 10px 0 0;
  font-size: 14px;
  color: #666;
}

.page4 .container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 20px;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
}

h1 {
  text-align: center;
  margin-bottom: 30px;
  font-size: 2.5rem;
  color: var(--secondary-color);
}

.filter-buttons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 30px;
}

.filter-button {
  background-color: var(--card-background);
  border: none;
  padding: 12px 24px;
  margin: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
  border-radius: 30px;
  font-size: 1rem;
  font-weight: 600;
  color: var(--text-color);
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.filter-button:hover,
.filter-button.active {
  background-color: var(--primary-color);
  color: var(--card-background);
  transform: translateY(-2px);
  box-shadow: 0 4px 15px rgba(52, 152, 219, 0.3);
}

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 20px;
}

.gallery-item {
  background-color: var(--card-background);
  border-radius: 15px;
  overflow: hidden;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease;
  position: relative;
}

.gallery-item:hover {
  transform: translateY(-10px);
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.2);
}

.gallery-item img {
  width: 100%;
  height: 200px;
  object-fit: cover;
}

.gallery-item h3 {
  padding: 15px;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--secondary-color);
}

.gallery-item .category-tag {
  position: absolute;
  top: 10px;
  right: 10px;
  background-color: var(--primary-color);
  color: var(--card-background);
  padding: 5px 10px;
  border-radius: 15px;
  font-size: 0.8rem;
  font-weight: 600;
}

.gallery-item .icon-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 200px;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.gallery-item:hover .icon-overlay {
  opacity: 1;
}

.gallery-item .icon-overlay i {
  color: var(--card-background);
  font-size: 2rem;
}

.hidden {
  display: none;
}

.fade-in {
  animation: fadeIn 0.5s ease-in-out;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

#load-more {
  display: block;
  margin: auto;
  padding: 12px 24px;
  background-color: var(--primary-color);
  color: var(--card-background);
  border: none;
  border-radius: 30px;
  font-size: 1rem;
  font-weight: 600;
  cursor: pointer;
  transition: all 0.3s ease;
}

#load-more:hover {
  background-color: var(--secondary-color);
  transform: translateY(-2px);
  box-shadow: 0 4px 15px rgba(44, 62, 80, 0.3);
}

@media (max-width: 768px) {
  .gallery {
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  }

  .filter-button {
    padding: 10px 20px;
    font-size: 0.9rem;
  }

  h1 {
    font-size: 2rem;
  }

  .uiux h1 {
    font-size: large !important;
  }

  .product h1 {
    font-size: large !important;
  }
}

@media (max-width: 480px) {
  .gallery {
    grid-template-columns: 1fr;
  }

  .filter-button {
    width: calc(50% - 10px);
  }
}

.container h1 {
  margin-bottom: 40px;
  text-align: center;
  font-size: 2vw;
  color: #333;
}

.card-section {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  flex-grow: 1;
}

.card {
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease;
  text-align: center;
}

.card:hover {
  transform: translateY(-5px);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.card img {
  max-width: 100%;
  height: auto;
  margin-bottom: 10px;
}

.card h2 {
  color: #333;
  margin-bottom: 10px;
}

.card p {
  color: #666;
}

.card-large {
  width: 300px;
}

.card-medium {
  width: 300px;
}

.card-small {
  width: 300px;
}

.card-map {
  position: relative;
  width: fit-content;
}

#map {
  width: 100%;
  height: 100%;
  border-radius: 8px;
}

.avatar {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  overflow: hidden;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

#page5 h1,
#page5 h4,
#page5 h3,
#page5 p,
#page5 i,
#page6 h1,
#page6 h4 {
  color: #ffff;
}
#page5 {
  min-height: 100vh;
  background-color: #000000;
  width: 100%;
  position: relative;
  padding: 5vh 10.5vw;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}

#page5 button {
  background-color: #0ba34e;
  padding: 0.9vw 2.5vw;
  font-weight: 600;
  font-size: 1vw;
  border-radius: 50px;
  border: none;
  position: sticky;
  top: 15%;
}

#page5-right {
  width: 100%;
}

#page5-right > p {
  font-size: 2.1vw;
}

#page5-right > p span {
  /* background-color: red; */
  width: 15vw;
  display: inline-block;
}

#page5-content {
  /* width: 100%; */
  /* background-color: red; */
  margin-top: 5vh;
  padding: 5vh 0;
}

#page5-content h1 {
  font-size: 1vw;
  letter-spacing: 2px;
  word-spacing: 2px;
  font-weight: 500;
}

#page5-content #flex {
  display: flex;
  margin-top: 4vh;
  margin-bottom: 4vh;
}

#page5-content #flex h4 {
  border-radius: 50px;
  border: 1px solid #fff;
  padding: 10px 20px;
  font-weight: 400;
  font-size: 0.8vw;
}

.page5-elem {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  /* background-color: red; */
  /* padding: 2vh 0; */
  transition: all cubic-bezier(0.19, 1, 0.22, 1) 1s;
  padding-top: 3vh;
  padding-bottom: 9vh;
  overflow: hidden;
  border-top: 1px solid #333;
  position: relative;
}

.page5-elem p {
  width: 55%;
  font-size: 0.8vw;
  position: relative;
  z-index: 8;
}

.page5-elem h3 {
  font-size: 2.4vw;
  font-weight: 400;
  position: relative;
  transition: all cubic-bezier(0.19, 1, 0.22, 1) 1s;
  z-index: 8;
}

.page5-elem i {
  font-size: 2vw;
  position: relative;
  transition: all cubic-bezier(0.19, 1, 0.22, 1) 1s;
  z-index: 8;
}

#flex i {
  font-size: 1.3vw;
}

.over {
  height: 100%;
  width: 100%;
  background-color: #111;
  position: absolute;
  top: 0;
  transform: scaleY(0);
  transform-origin: center;
  /* opacity: 0; */
  z-index: 100;
  /* display: none; */
  transition: all cubic-bezier(0.19, 1, 0.22, 1) 0.6s;
}

.page5-elem:hover h3 {
  padding-left: 1vw;
}

.page5-elem:hover i {
  padding-right: 1vw;
}

.page5-elem:hover .over {
  transform: scaleY(1);
  transform-origin: center;
  /* display: initial; */
  /* opacity: 1; */
}

.page5-elem:hover {
  border-top: 2px solid #fff;
}

summary::marker {
  content: "";
}

.uiux {
  border-top: 1px solid #333;
  padding: 3vh 0;
}

.product {
  padding: 3vh 0;

  border-top: 1px solid #333;
}

@media (max-width: 1400px) {
  .donuts {
    display: none !important;
  }

  .desc {
    margin: 0 !important;
    height: 70vh;
    align-items: center;
    /* background-color: red !important; */
  }
  .page3 {
    padding: 10vw 6vw;
  }

  .mobile {
    display: block !important;
  }

  .page1 {
    width: 100vw !important;
    min-height: 100vh !important;
  }

  .desctop {
    display: none !important;
  }

  .vertica_cont {
    display: none;
  }
  .progress-container {
    display: none;
  }
  .details .row {
    display: none !important;
  }
  .details {
    width: 90vw !important;
  }
  .details img {
    width: 100%;
  }

  /* .vid2 video {
    height: 30%;
    width: 70%;
  } */
}
